//TestGy521.ino  Display gyro values   1616b 67v
//use TerSer 6 parameters
// 1g is given as 16384  
#define aadd 0x68*2  // adresse 8bits du 6050 .. a faire mieux

// variables GyX ... defined in Gy521.h

#include "Witty.h"
#include "TerSer.h"
#include "I2Ctwi.h"
#include "Gy521.h" 

void setup() {
  SetupWitty();
  SetupI2Ctwi();
  SetupGy521();
  SetupTerSer();
}

int var;
void loop() { 
    DelMs(1000);  //Wait 1s for stabilisation 
       Text("Gy521 values"); CR();
       int16_t AcX,AcY,AcZ;
       while(1){
          ReadGy521();
          Text("AcX "); Dec16s(AcX); Text("GyX "); Dec16s(GyX);
          Text("AcY "); Dec16s(AcY); Text("GyY "); Dec16s(GyY);
          Text("AcZ "); Dec16s(AcZ); Text("GyZ "); Dec16s(GyZ);
          CR(); 
          DelMs (500);
       }  // end while
}  // end loop

